Name:         	xawtv
Group:        	Multimedia
Version:      	20070625_094215
Release:      	1
License:      	GPL
Summary:      	v4l applications
Source0:       	http://bytesex.org/xawtv/%{name}-20070625-094215.tar.gz
Source1:	http://bytesex.org/xawtv/tv-fonts-1.1.tar.bz2
Source2:	%{name}.desktop
Buildroot:    	/var/tmp/root.%{name}-%{version}
Provides:	XawTV v4l video4linux
BuildRequires:	zvbi-devel libunicode-devel linuxtv-dvb-apps libdvb-devel

%description
To autoload the modules, write something like this into:
/etc/modprobe.conf
_____________________________

alias char-major-81     videodev
alias char-major-81-0   bttv
pre-install bttv        modprobe -k msp3400; modprobe -k tuner
options bttv            radio=1
options tuner           type=5
____________________________
A collection of tools for video4linux:
 * xawtv    - X11 TV application
 * fbtv     - console TV application
 * streamer - capture tool (images / movies)
 * v4lctl   - command line tool to control v4l devices

This package has a few tools you might find useful.  They
have not to do very much to do with xawtv.  I've used/wrote
them for debugging:
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * dump-mixers - dump mixer settings to stdout
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

webcam captures images from a video4linux device like bttv,
annotates them and and uploads them to a webserver using ftp
in a endless loop.
Http daemon which serves videotext pages as HTML.

%prep
%setup -q -n %{name} -a 1

%build
CFLAGS="$RPM_OPT_FLAGS"
autogen.sh
%configure \
  --disable-motif \
  --disable-xaw3d \
  --disable-aa \
  --disable-quicktime \
  --enable-dvb \
  --enable-lirc \
  --enable-alsa \
  --disable-arts \
  --enable-mad \
  --enable-mpeg2 \
  --enable-xfree-ext \
  --enable-xvideo \
  --enable-zvbi \
  --enable-gl \
  --enable-dv \
  --enable-mmx \
  --enable-xft

make; cd tv*; make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=%{buildroot} install
mkdir -p $RPM_BUILD_ROOT/usr/share/{fonts,xawtv/fonts}
cd tv*; cp *.gz $RPM_BUILD_ROOT/usr/share/xawtv/fonts
cd $RPM_BUILD_ROOT/usr/share/xawtv/fonts; mkfontdir;mkfontscale
cd $RPM_BUILD_ROOT/usr/share/fonts; ln -sf ../xawtv/fonts xawtv
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
fc-cache -f 2>/dev/null

%files
%defattr(-,root,root)
%doc COPYING Changes TODO README README.* contrib/frequencies*
/usr/bin
/usr/lib
/usr/man/man*
/usr/share
